[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.RemoveHandlerOnBeforeDestruction

Removes the specified OnBeforeDestruction event handler.

## Declaration

Source position: controls.pp line 1775

`public procedure TControl.RemoveHandlerOnBeforeDestruction(`
`const OnBeforeDestructionEvent: TNotifyEvent`
`);`

## Arguments

`OnBeforeDestructionEvent` |  | TNotifyEvent handler routine removed from the list for the chtOnBeforeDestruction handler type.